import { IScope } from 'angular';
import 'angular-mocks';
import { waitFor as dtlWait, queries as dtlQueries, Queries, BoundFunction } from '@testing-library/dom';
declare type RenderOptions<Q extends Queries = typeof dtlQueries> = {
    container?: HTMLElement;
    baseElement?: HTMLElement;
    queries?: Q;
    scope?: object;
    ignoreUnknownElements?: boolean;
};
declare type RenderResult<Q extends Queries = typeof dtlQueries> = {
    container: HTMLElement;
    baseElement: HTMLElement;
    debug: (baseElement?: HTMLElement | DocumentFragment | Array<HTMLElement | DocumentFragment>) => void;
    unmount: () => void;
    asFragment: () => DocumentFragment;
    $scope: IScope;
} & {
    [P in keyof Q]: BoundFunction<Q[P]>;
};
declare function render(ui: string, { container, baseElement, queries, scope, ignoreUnknownElements, }?: RenderOptions): RenderResult;
declare function cleanup(): void;
declare function inject<T = unknown>(name: string): T;
declare const fireEvent: import("@testing-library/dom").FireFunction & import("@testing-library/dom").FireObject;
declare function flush(millis?: number): void;
declare type WaitOptions = Parameters<typeof dtlWait>[1];
declare function wait(callback?: () => void, options?: WaitOptions): Promise<void>;
export * from '@testing-library/dom';
export { render, cleanup, fireEvent, wait, flush, inject };
